# norootforbuild

Name:       mp
Version:    5.2.0
Release:    1.35
Summary:    A text editor for programmers
License:    GPL
Group:      Productivity/Text/Editors

URL:        http://triptico.com/software/mp.html

Source0:    http://triptico.com/download/%{name}-%{version}.tar.gz
Source1:    %{name}-5.desktop
Source2:    %{name}-5.png

Patch0:     %{name}-docdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-build

BuildRequires: glibc-devel gtk2-devel libqt4-devel ncurses-devel update-desktop-files


%description
A text editor for programmers

Features

    * Fully scriptable using a C-like scripting language.
    * Unlimited undo levels.
    * Complete Unicode support.
    * Multiple files can be edited at the same time and blocks copied and pasted among them.
    * Syntax highlighting for many popular languages / file formats: C, C++, Perl, Shell Scripts, Ruby, Php, Python, HTML...
    * Creative use of tags: tags created by the external utility ctags are used to move instantaneously to functions or variables inside your current source tree. Tags are visually highlighted (underlined), and symbol completion can be triggered to avoid typing your own function names over and over.
    * Intelligent help system: pressing F1 over any word of a text being edited triggers the underlying system help (calling man when editing C or Shell files, perldoc with Perl, ri on Ruby, winhelp on MS Windows...).
    * Understandable interface: drop-down menus, reasonable default key bindings.
    * Configurable keys, menus and colors.
    * Text templates can be easily defined / accessed.
    * Multiplatform: Console/curses, GTK+, MS Windows.
    * Automatic indentation, word wrapping, internal grep, learning / repeating functions.
    * Spellchecking support (via the ispell package).
    * Multilingual.
    * Password-protected, encrypted text files (using the ARCFOUR algorithm).
    * It helps you abandon vi, emacs and other six-legged freaks definitely. 


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1


%build
./config.sh --prefix=%{_prefix} --docdir=%{_docdir}/mp-5

%__make %{?jobs:-j%{jobs}}


%install
%__mkdir -p %{buildroot}/%{_bindir}
%makeinstall

%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}-5.desktop
%__install -D -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps/%{name}-5.png

%suse_update_desktop_file %{name}-5 TextEditor

%find_lang minimum-profit

%clean
rm -rf %{buildroot}


%files -f minimum-profit.lang
%defattr(-,root,root)
%{_bindir}/%{name}-5
%{_bindir}/%{name}sl
%dir %{_docdir}/%{name}-5
%{_docdir}/%{name}-5/*
%{_mandir}/man1/%{name}-5.1.gz
%dir %{_datadir}/%{name}-5
%{_datadir}/%{name}-5/*
%{_datadir}/applications/%{name}-5.desktop
%{_datadir}/pixmaps/%{name}-5.png


%changelog
* Sat Apr 23 2011 detlef@links2linux.de
- new upstream version <5.2.0>
  * New actions:
  - filter_selection: to filter the selection (or the full document if no
    selection is done) through a system command.
  - exec_action: that shows a list of actions to execute on the current
    document.
  - cut_lines_with_string: that cuts to the clipboard all lines in a document
    or block that matches a regular expression.
  - insert_real_tab: bound to shift-tab, to insert a tab character (\t)
    regardless of whatever is set in the tabs_as_spaces configuration variable.
  - insert_next_item: to insert a new enumeration item in a document.
  * Bugfixes:
  - Fixed insert / overwrite mode.
  - If a selection is invisible (incomplete or with the start and end in the
    same character), a new keystroke does not jump to it.
  * New configuration options:
  - mp.config.hw_cursor: to activate the hardware cursor in text environments
    (disabled by default).
  * Text user interface improvements:
  - File opening list is fully navegable (directories up and down),
  - Selection lists accept letter keys to jump to elements,
  - If a text mode menu panel do not fit vertically on the screen, menu items
    are scrolled as needed.
  * New command line options:
  - -txt: force text mode (instead of GUI).
  * General improvements:
  - If a block is selected, actions word_wrap_paragraph, join_paragraph and
    eval_doc act only on it.
  - The internal engine has been partly rewritten, so it requires less memory
    and it's a bit faster.
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version <5.1.4>
  * If a block is selected, any keystroke substitutes it.
  * Support for Alt + keys (ASCII and movement) has been added,
    and mostly left unbound to be used by the user for his own
    keybindings.
  * A new tab mode, which uses the previous line as a template
    for tab columns.
  * Fixed action `open_under_cursor'.
  * The `mp.paste()' function returns the clipboard content
    as a string if called without arguments.
  * New Grutatxt syntax highlighter.
  * Fix F10 in Win32.
  * Fix a bug when calculating the drawing position in the
    selected block, that were leading to crashes.
* Tue Sep 22 2009 detlef@links2linux.de
- new upstream version <5.1.3>
  * A new Qt4 driver (adapted from the KDE4 driver).
  * A new hexadecimal viewer.
  * New action 'open_dropped_files', to open files dropped from the underlying system GUI.
  * Improved file encoding autodetection by looking at the UTF BOM marks.
  * New configuration option keep_eol, to keep the original end of line sequence each document had.
  * Fixed some clipboard issues, as replacing the selected block when pasting and some crashes.
  * win32 executable has been renamed to mp-5.exe.
  * The status line format string can also include the %%e token to show the encoding used by the document.
  * Fixed win32 input processing in non-latin environments.
  * Setting an empty encoding (to fall back to system defaults) always work.
* Sat Jul 18 2009 detlef@links2linux.de
- new upstream version <5.1.2>
  * The `grep' action can now be recursive.
  * New syntax color for special documentation blocks.
  * Fix searching into empty selected blocks (this was bug #1269).
  * New action `section_list', that shows a list of _sections_
    in the current document to jump to. Sections are usually
    function definitions and special marks in programming
    languages.
  * New action `seek_misspelled', to search the next
    misspelled word. It has been assigned to keycode `f5'.
  * New action `ignore_last_misspell', to add the last misspelled
    word found by `seek_misspelled' to a whitelist so it won't
    be found again.
  * New action `seek_repeated_word', to search for words starting
    or ending with the same number of letters up to a maximum
    distance. It's controlled by the new configuration directives
    `mp.config.rw_num_chars' and `mp.config.rw_max_dist'.
    It has been assigned to keycode `f6' (this keycode was
    previously assigned to `join_paragraph', which has no
    keybinding now).
  * The action `open_templates_file' has been fixed.
  * Several GTK interface updates by fellow developer Sebastian Vöcking.
  * New command line option `-d', to change the working directory.
  * Several fixes to the win32 driver: word wrapping, combobox
    drop-down sizes, underlined text.
  * Avoid hanging if the external ispell program is broken.
  * The `dump()' function now dumps its argument as MPSL code.
* Sun Dec  7 2008 detlef@links2linux.de
- new upstream version <5.1.1>
  * Internationalization works in all platforms (including KDE4,
    were it was faulty, and win32, where it was non-existent since
    the 3.x series).
  * The status line format string can also include the %%w token
    to show the number of words in the current document or selection
    (can be slow).
  * Search and replace is now limited to the selected block, if any.
* Sat Sep 27 2008 detlef@links2linux.de
- new upstream version <5.1.0>
* Wed Jul  2 2008 detlef@links2linux.de
- new upstream version <5.0.3>
* Wed Mar 19 2008 detlef@links2linux.de
- initial build <5.0.2>
